Skip to main content
`Ctrl`+`K`

# EPSKrylovSchurSetPartitions

Sets the number of partitions for the case of doing spectrum slicing for a computational interval with the communicator split in several sub-communicators.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSKrylovSchurSetPartitions(EPS eps,PetscInt npart)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- npart - number of partitions

## Options Database Key

- -eps_krylovschur_partitions npart - sets the number of partitions

## Notes

This call makes sense only for spectrum slicing runs, that is, when an interval has been given with `EPSSetInterval()` and `STSINVERT` is set. See more details in section Spectrum Slicing.

By default, `npart`=1 so all processes in the communicator participate in the processing of the whole interval. If `npart`>1 then the interval is divided into `npart` subintervals, each of them being processed by a subset of processes.

The interval is split proportionally unless the separation points are specified with `EPSKrylovSchurSetSubintervals()`.

## See Also

EPS: Eigenvalue Problem Solver, Spectrum Slicing, `EPSKRYLOVSCHUR`, `EPSKrylovSchurSetSubintervals()`, `EPSSetInterval()`

## Level

advanced

## Location

src/eps/impls/krylov/krylovschur/krylovschur.c

## Implementations

EPSKrylovSchurSetPartitions_KrylovSchur() in src/eps/impls/krylov/krylovschur/krylovschur.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages